Bug 11381 - Inconsistent behaviour of wget with Microsoft ftp servers
Inconsistent behaviour of wget with Microsoft ftp servers
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: wget (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-12 05:08 EDT by st
Modified: 2014-03-16 22:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-06 13:44:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description st 2000-05-12 05:08:00 EDT
Trying to mirror localy ftp directories from ftp servers operating under
Microsoft FTP version 3.0, with the command:
wget -N ftp://ftpserver/path/*
most of times wget fails saying "No matches on pattern `*'.". But one time
of every ten or more attempts it works ok, and it can interpret correctly
the directory listing received.

I thing you could reproduce such behaviour with:
wget -N ftp://ftp.nai.com/pub/antivirus/datfiles/4.x/*
Comment 1 SB 2000-06-06 13:44:47 EDT
Wget is fine the inconsistency in Microsoft Internet Information Server's
FTP service which does not allow file globbing (using wildcards to select
multiple files)  Here is a quote from wget's manpage that explains the
behaviour:
       -g on/off --glob=on/off
              Turn FTP globbing on or off. By default, globbing will be 
              turned on if the URL contains a globbing characters  (an  
              asterisk, e.g.). Globbing means you may use the special 
              characters (wildcards) to retrieve more files from the same 
              directory  at  once,  like  wget  ftp://gnjilux.cc.fer.hr/*.msg.
              Globbing currently works only on UNIX FTP servers.

Hope that explains it,

-Stan Bubrouski

Note You need to log in before you can comment on or make changes to this bug.